找回密码 注册 QQ登录
开思网工业级高精度在线3D打印服务

iCAx开思网

CAD/CAM/CAE/设计/模具 高清视频【积分说明】如何快速获得积分?在线3D打印服务,一键上传,自动报价 
查看: 549|回复: 6

[讨论] sw图纸检查宏

[复制链接]
发表于 2020-1-15 23:00:27 | 显示全部楼层 |阅读模式
'Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swPart As SldWorks.ModelDoc2
Dim swView As IView
Dim swViewd As IAnnotation
Dim swAnnotation As SldWorks.Annotation
Dim swDisplayDimension As SldWorks.DisplayDimension
Sub main()
    Set swApp = Application.SldWorks
    Set swPart = swApp.ActiveDoc
    Set swAnnotation = swPart.GetFirstAnnotation2
    Set swView = swPart.GetFirstView '激活图纸页中模型的配置
    Set swViewd = swView
    vv = swView.GetDimensionDisplayString2()
    vvv = swViewd.IsDangling()
End Sub


各位大哥麻烦说说如何用宏程序检查上图工程图的悬空尺寸;谢谢

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2020-1-29 10:35:10 | 显示全部楼层
你的意图说的不太明确,你看看是你想要的吗。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2020-2-1 23:05:33 | 显示全部楼层
谢谢2楼分享!
发表于 2020-2-10 17:16:37 | 显示全部楼层
xiabulai 发表于 2020-1-29 10:35
你的意图说的不太明确,你看看是你想要的吗。

可以自动把悬空的尺寸全部自动删除吗?而不是点一下,选中一个悬空尺寸!
发表于 2020-2-17 10:15:44 | 显示全部楼层
谢谢分享。。
 楼主| 发表于 2020-2-29 14:18:24 | 显示全部楼层
谢谢,是要要的
发表于 2020-2-29 15:47:10 | 显示全部楼层
xiabulai 发表于 2020-1-29 10:35
你的意图说的不太明确,你看看是你想要的吗。

谢谢分享,学习学习!!!!!!!!!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

3D打印手板模型快速制作服务,在线报价下单!

QQ 咨询|手机版|联系我们|iCAx开思网 ( 粤ICP备09030954号

GMT+8, 2020-9-20 13:06 , Processed in 0.023007 second(s), 12 queries , Gzip On, Redis On.

Powered by Discuz! X3.3

© 2001-2020 Comsenz Inc.

快速回复 返回顶部 返回列表